select
    CASE
        WHEN collation_name = 'Cyrillic_General_CI_AS'
            THEN 'EXEC sp_AlterDropColumn @TableName = ''' + quotename(OBJECT_SCHEMA_NAME(OBJECT_ID)) + '.' + quotename(OBJECT_NAME(object_id)) + ''' , @ColumnName = ''' + [name] + ''', @Command = 1, @Alter = ''' + TYPE_NAME(system_type_id) +'(' + cast(max_length as varchar(5)) + ') COLLATE Cyrillic_General_CS_AS'''
    END AS SqlScripts
INTO #TMP_REBUILD_COLUMN
from sys.all_columns
WHERE
  object_id IN (OBJECT_ID('STOR.T_INVOICE_ITEM'), OBJECT_ID('STOR.T_REMAINS'), OBJECT_ID('STOR.T_SGTINS'))
    AND name IN ('GTINSerialNumber','Sgtin');

DECLARE @SQL NVARCHAR(2000)

DECLARE SQL_EXEC CURSOR FOR
    SELECT
        SqlScripts
    FROM #TMP_REBUILD_COLUMN

OPEN SQL_EXEC
FETCH NEXT FROM SQL_EXEC
INTO @SQL

WHILE @@FETCH_STATUS = 0
    BEGIN

        EXEC sp_executesql @SQL

        FETCH NEXT FROM SQL_EXEC
        INTO @SQL
    END

CLOSE SQL_EXEC
DEALLOCATE SQL_EXEC;